POSTERS = $(addsuffix .pdf, $(basename $(wildcard *.tex)))

%.pdf: %.ps
	ps2pdf $<

%.ps: %.dvi
	dvips -t landscape -G0 -Ppdf $< -o $@

%.dvi: %.tex
	latex $<

all: $(POSTERS)

pdf: $(POSTERS) mostlyclean

.PHONY: mostlyclean clean pdf

mostlyclean:
	-rm *.ps *.dvi *.aux *.log *.out *~

clean: mostlyclean
	-rm ${POSTERS}
